/* Procedimiento REXX para montar un 'skin' del Qu-Player               */
/* Nombre: skinmake.cmd                                                 */
/* Versin original: Alfredo Fernndez Daz                             */
/* Versin actual (5 de agosto de 2001): 2.0 por Salvador Parra Camacho */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse arg dir sec

select
	when dir='' then do
		say ''
		say 'Sintaxis incorrecta: debe introducir los parmetros.'
		call syntax
		end
	when dir='/?' then
		call syntax
	when dir='/v' then
		call version
	when dir='/s' then
	select
	  when sec='' then do
	    say ''
	    say 'Sintaxis incorrecta: debe introducir el directorio.'
	    call syntax
	    end
	  otherwise
	    dir=sec
	    skin='..\qupm.skn'
	    call SysFileDelete skin
	    call makeskin
	end
	otherwise
	select
	  when sec='/s' then do
	    skin='..\qupm.skn'
	    call SysFileDelete skin
	    call makeskin
	  end
	  otherwise
	    skin=dir||'.skn'
	    call SysFileDelete skin
	    call makeskin
	end
end

exit

makeskin:

lista=dir'\list.txt'
cabecera='QUPM/2_SKIN'||,
         '00000000'x||,
         '33000000'x

call charout skin,cabecera

do while lines(lista)>0
   nombre=strip(linein(lista))
   long=reverse(x2c(d2x(length(nombre),8)))
   call charout skin,long
   call charout skin,nombre
   archivo=dir'\'nombre
   datos=charin(archivo,1,chars(archivo))
   call stream archivo,'c','close'
   tam=reverse(x2c(d2x(length(datos),8)))
   call charout skin,tam
   call charout skin,datos
end
exit

syntax:
say ''
say 'Sintaxis: skinmake [opciones]'
say '			/?: muestra esta ayuda.'
say '			/v: muestra la versin.'
say '			/s directorio: sustituye el "skin" adems de montarlo.'
say '			directorio /s: igual que la opcin anterior.'
say '			directorio: monta el "skin" sin sustituir'
say ''
exit

version:
say ''
say 'skinmake (montador de "skins" del Qu Player): versin 2.0.'
say 'Por Alfredo Fernndez Daz y Salvador Parra Camacho.'
say ''
exit
