/* Procedimiento REXX para desmontar un 'skin' del Qu-Player               */
/* Nombre: skinsplt.cmd                                                    */
/* Versin original: Alfredo Fernndez Daz                                */
/* Versin actual (5 de agosto de 2001): 2.0 por Salvador Parra Camacho    */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse arg dir

select
	when dir='' then do
		say ''
		say 'Sintaxis incorrecta: debe introducir los parmetros.'
		call syntax
		end
	when dir='/?' then
		call syntax
	when dir='/v' then
		call version
	when dir='/c' then do
		skin='..\qupm.skn'
		dir='.\current'
		call spltskin
		end
	otherwise
		skin=dir
		dir=delstr(skin, lastpos(".", skin))
		call spltskin
end

exit

spltskin:

lista=dir||'\list.txt'
call SysMkDir dir
call SysMkDir dir||'\old'

call charin skin,1,19
do while chars(skin)>0
   long_nomb=x2d(c2x(reverse(charin(skin,,4))))
   nombre=charin(skin,,long_nomb)
   call lineout lista,nombre
   tam_arch=x2d(c2x(reverse(charin(skin,,4))))
   data=charin(skin,,tam_arch)
   call charout dir'\'nombre,data
   call charout dir'\'nombre
 end

exit

syntax:
say ''
say 'Sintaxis: skinsplt [opciones]'
say '			/?: muestra esta ayuda.'
say '			/v: muestra la versin.'
say '			/c: desmonta el "skin" en uso.'
say '			"skin": desmonta el skin indicado.'
say ''
exit

version:
say ''
say 'skinsplt (desmontador de "skins" del Qu Player): versin 2.0.'
say 'Por Alfredo Fernndez Daz y Salvador Parra Camacho.'
say ''
exit